Skip to main content
GET
/
v1
/
client
/
{client_id}
고객 상세
curl --request GET \
  --url https://openapi.pluuug.com/v1/client/{client_id} \
  --header 'X-API-Key: <api-key>' \
  --header 'X-Signature: <api-key>'
{
  "id": 123,
  "companyName": "<string>",
  "created": "2023-11-07T05:31:56Z",
  "status": {
    "id": 123,
    "title": "<string>"
  },
  "inCharge": "<string>",
  "position": "<string>",
  "contact": "<string>",
  "email": "jsmith@example.com",
  "content": "<string>",
  "businessRegistrationNumber": "<string>",
  "ceoName": "<string>",
  "companyAddress": "<string>",
  "companyDetailAddress": "<string>",
  "businessType": "<string>",
  "businessClass": "<string>",
  "branchNumber": "<string>",
  "taxInvoiceEmail": "<string>",
  "fieldSet": [
    {
      "field": {
        "id": 123,
        "name": "<string>",
        "dataType": "S",
        "optionSet": [
          {
            "id": "<string>",
            "title": "<string>"
          }
        ],
        "memberSet": [
          {
            "id": 123,
            "nickname": "<string>",
            "email": "<string>",
            "isActive": true,
            "grade": {
              "id": 123,
              "title": "<string>"
            }
          }
        ]
      },
      "value": "<string>"
    }
  ]
}

Authorizations

X-API-Key
string
header
required
X-Signature
string
header
required

HMAC-SHA256 방식으로 body를 secret key로 해싱하여 생성한 서명을 넣어야 합니다. 서버는 X-API-Key와 대응되는 secret key로 서명을 검증합니다.

Path Parameters

client_id
integer
required

Response

200 - application/json
id
integer
required
companyName
string
required

회사명

Maximum string length: 128
created
string<date-time>
required

생성일시

status
object

고객 상태

inCharge
string | null

담당자

Maximum string length: 64
position
string | null

직책

Maximum string length: 64
contact
string | null

연락처

Maximum string length: 128
email
string<email> | null

이메일

Maximum string length: 128
content
string | null

메모

businessRegistrationNumber
string | null

사업자 등록번호

Maximum string length: 16
ceoName
string | null

대표자

Maximum string length: 128
companyAddress
string | null

소재지

Maximum string length: 256
companyDetailAddress
string | null

소재지 상세

Maximum string length: 256
businessType
string | null

업태

Maximum string length: 128
businessClass
string | null

종목

Maximum string length: 128
branchNumber
string | null

종사업장 번호

Maximum string length: 4
taxInvoiceEmail
string | null

세금계산서 전용 이메일

Maximum string length: 128
fieldSet
object[] | null

커스텀 필드